Bug 55080 - [PATCH] patch for missing function IMREAL
[PATCH] patch for missing function IMREAL
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: POI Overall
3.10-dev
PC All
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2013-06-08 11:06 UTC by Cédric Walter
Modified: 2013-08-16 18:13 UTC (History)
0 users



Attachments
patch for missing function IMREAL (6.57 KB, text/plain)
2013-06-08 11:06 UTC, Cédric Walter
Details
testcase ImRealFunctionTestCaseData.xls (35.00 KB, application/vnd.ms-excel)
2013-06-08 11:08 UTC, Cédric Walter
Details
Add additional sanity check/integration test FormulaEvalTestData.xls (173.00 KB, application/vnd.ms-excel)
2013-06-17 20:05 UTC, Cédric Walter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cédric Walter 2013-06-08 11:06:42 UTC
Created attachment 30411 [details]
patch for missing function IMREAL

IMREALfunction is part of Analysis ToolPak add-in.

Patch for missing function IMREAL
Testcases in ImRealFunctionTestCaseData.xls
Written for Java 1.5

REQUIRED patch https://issues.apache.org/bugzilla/show_bug.cgi?id=55079 to be merged before this one as it reuse some properties of 55079
Comment 1 Cédric Walter 2013-06-08 11:08:00 UTC
Created attachment 30412 [details]
testcase ImRealFunctionTestCaseData.xls
Comment 2 Nick Burch 2013-06-09 09:55:22 UTC
Any chance you could do an updated version of FormulaEvalTestData.xls to go with your recent new functions?
Comment 3 Cédric Walter 2013-06-09 09:56:25 UTC
Hi Nick

Yes I will update this file, was not knowing it need to be updated as well
Comment 4 Nick Burch 2013-06-09 10:25:15 UTC
We use FormulaEvalTestData.xls as an additional sanity check/integration test, so it's good to have new formula functions listed in there too
Comment 5 Cédric Walter 2013-06-17 20:05:05 UTC
Created attachment 30452 [details]
Add additional sanity check/integration test FormulaEvalTestData.xls
Comment 6 Cédric Walter 2013-08-16 18:13:52 UTC
Subversion: Committed revision 1514830.